<?php

/*
 * @copyright   2016 Mautic Contributors. All rights reserved
 * @author      Mautic
 *
 * @link        http://mautic.org
 *
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace Mautic\Migrations;

use Doctrine\DBAL\Migrations\SkipMigrationException;
use Doctrine\DBAL\Schema\Schema;
use Mautic\CoreBundle\Doctrine\AbstractMauticMigration;

/**
 * Class Version20160712000001.
 */
class Version20160712000001 extends AbstractMauticMigration
{
    /**
     * @param Schema $schema
     *
     * @throws SkipMigrationException
     * @throws \Doctrine\DBAL\Schema\SchemaException
     */
    public function preUp(Schema $schema)
    {
        $table = $schema->getTable($this->prefix.'form_fields');
        if ($table->hasColumn('show_when_value_exists')) {
            throw new SkipMigrationException('Schema includes this migration');
        }
    }
    /**
     * @param Schema $schema
     */
    public function up(Schema $schema)
    {
        $this->addSql('ALTER TABLE '.$this->prefix.'form_fields ADD show_when_value_exists BOOLEAN DEFAULT TRUE');
        $this->addSql('ALTER TABLE '.$this->prefix.'form_fields ADD show_after_x_submissions INT DEFAULT NULL');
    }
}
